diff --git a/spring-boot-project/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/data/redis/RedisProperties.java b/spring-boot-project/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/data/redis/RedisProperties.java
index bf56d058a5b..fe1e76304ee 100644
--- a/spring-boot-project/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/data/redis/RedisProperties.java
+++ b/spring-boot-project/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/data/redis/RedisProperties.java
@@ -266,9 +266,9 @@ public void setMaxRedirects(Integer maxRedirects) {
 		private String master;
 
 		/**
-		 * Nodes as host:port pairs.
+		 * Comma-separated list of "host:port" pairs.
 		 */
-		private String[] nodes;
+		private List<String> nodes;
 
 		public String getMaster() {
 			return this.master;
@@ -278,11 +278,11 @@ public void setMaster(String master) {
 			this.master = master;
 		}
 
-		public String[] getNodes() {
+		public List<String> getNodes() {
 			return this.nodes;
 		}
 
-		public void setNodes(String[] nodes) {
+		public void setNodes(List<String> nodes) {
 			this.nodes = nodes;
 		}
 
diff --git a/spring-boot-project/spring-boot-docs/src/main/asciidoc/appendix-application-properties.adoc b/spring-boot-project/spring-boot-docs/src/main/asciidoc/appendix-application-properties.adoc
index d95e1e85bb1..cfd89ae4efb 100644
--- a/spring-boot-project/spring-boot-docs/src/main/asciidoc/appendix-application-properties.adoc
+++ b/spring-boot-project/spring-boot-docs/src/main/asciidoc/appendix-application-properties.adoc
@@ -869,7 +869,7 @@ content into your application; rather pick only the properties that you need.
 	spring.redis.password= # Login password of the redis server.
 	spring.redis.port=6379 # Redis server port.
 	spring.redis.sentinel.master= # Name of Redis server.
-	spring.redis.sentinel.nodes= # Comma-separated list of host:port pairs.
+	spring.redis.sentinel.nodes= # Comma-separated list of "host:port" pairs.
 	spring.redis.ssl=false # Enable SSL support.
 	spring.redis.timeout=0 # Connection timeout in milliseconds.
 
